Skip to main content
GET
/
restore-jobs
from pinecone import Pinecone

pc = Pinecone(api_key="YOUR_API_KEY")

restore_jobs = pc.list_restore_jobs()
print(restore_jobs)

Documentation Index

Fetch the complete documentation index at: https://docs.pinecone.io/llms.txt

Use this file to discover all available pages before exploring further.

from pinecone import Pinecone

pc = Pinecone(api_key="YOUR_API_KEY")

restore_jobs = pc.list_restore_jobs()
print(restore_jobs)

Authorizations

Api-Key
string
header
required

An API Key is required to call Pinecone APIs. Get yours from the console.

Headers

X-Pinecone-Api-Version
string
default:202601-alpha
required

Required date-based version header

Query Parameters

limit
integer
default:10

The number of results to return per page.

Required range: 1 <= x <= 100
paginationToken
string

The token to use to retrieve the next page of results.

Response

This operation returns a list of all the restore jobs that you have previously created.

The list of restore jobs that exist in the project.

data
object[]
required

List of restore job objects

pagination
object

The pagination object that is returned with paginated responses.

Example:
{ "next": "dXNlcl9pZD11c2VyXzE=" }